﻿var USER_NAME_HINT = "[Nick]";

function onOpen() {
	var userName = options.getValue(SK_USER_NAME);
	if (userName) {
		userNameEdit.value = userName;
		userNameEdit.color = "#BB1306";
	} else {
		userNameEdit.value = USER_NAME_HINT;
		userNameEdit.color = "#AAAAAA";
	}
	var baseURL = options.getValue(SK_BASE_URL);
	if (baseURL) {
		baseURLEdit.value = baseURL;
	} else {
		baseURLEdit.value = BASE_URL;
	}
}

function onOk() {
	if (userNameEdit.value && (userNameEdit.value != USER_NAME_HINT)) {
		options.putValue(SK_USER_NAME, userNameEdit.value);
	} else {
		options.putValue(SK_USER_NAME, "");
	}
	if (baseURLEdit.value) {
		options.putValue(SK_BASE_URL, baseURLEdit.value);
	} else {
		options.putValue(SK_BASE_URL, BASE_URL);
	}
}

function onCancel() {
}

function onUserNameFocusin() {
	if (userNameEdit.value == USER_NAME_HINT) {
		userNameEdit.value = "";
		userNameEdit.color = "#BB1306";
	}
}

function onUserNameFocusout() {
	if (userNameEdit.value == "") {
		userNameEdit.value = USER_NAME_HINT;
		userNameEdit.color = "#AAAAAA";
	}
}